WordPress.org

Make WordPress Core

Changeset 34322


Ignore:
Timestamp:
09/19/2015 04:09:40 PM (4 years ago)
Author:
wonderboymusic
Message:

Update Core: In list_plugin_updates(), when listing plugin updates related to $core_update_version, don't skip the check for $info->tested.

Props MikeHansenMe.
Fixes #27883.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-admin/update-core.php

    r33817 r34322  
    270270        // Get plugin compat for updated version of WordPress.
    271271        if ( $core_update_version ) {
    272             if ( isset($info->compatibility[$core_update_version][$plugin_data->update->new_version]) ) {
     272            if ( isset( $info->tested ) && version_compare( $info->tested, $core_update_version, '>=' ) ) {
     273                $compat .= '<br />' . sprintf( __( 'Compatibility with WordPress %1$s: 100%% (according to its author)' ), $core_update_version );
     274            } elseif ( isset( $info->compatibility[ $core_update_version ][ $plugin_data->update->new_version ] ) ) {
    273275                $update_compat = $info->compatibility[$core_update_version][$plugin_data->update->new_version];
    274276                $compat .= '<br />' . sprintf(__('Compatibility with WordPress %1$s: %2$d%% (%3$d "works" votes out of %4$d total)'), $core_update_version, $update_compat[0], $update_compat[2], $update_compat[1]);
Note: See TracChangeset for help on using the changeset viewer.